public class Angebotsliste {
    
    private List<Produkt> l;
    
    public Angebotsliste(){
        l = new List<Produkt>();
    }
    
    //Produkte sollen innerhalb der Liste jederzeit alphabetisch sortiert sein.
    //Jeder Produktname darf nur einmalig in der Liste vorkommen.
    public void produktHinzufuegen(Produkt p){
        if(l.isEmpty()){
            l.insert(p);
        } else {
            l.toFirst();
            String pNameLowerCase = p.getName().toLowerCase();
            while(l.hasAccess() && pNameLowerCase.compareTo(l.getContent().getName().toLowerCase())>0){
                l.next();
            }
            if(!l.hasAccess()){
                l.append(p);
            } else if(!pNameLowerCase.equals(l.getContent().getName().toLowerCase())){
                l.insert(p);
            }
        }
    }
    
    public void produktEntfernen(String name){
        if(!l.isEmpty()){
            l.toFirst();
            while(l.hasAccess() && !l.getContent().getName().equals(name)){
                l.next();
            }
            if(l.hasAccess()){
                l.remove();
            }
        }
    }
    
    public void printList(){
        printList(l);
    }
    
    public void printList(List<Produkt> liste){
        if(liste.isEmpty()){
            System.out.println("Liste leer.");
        } else {
            liste.toFirst();
            while(liste.hasAccess()){
                Produkt p = liste.getContent();
                System.out.println("Produktname: " + p.getName());
                System.out.println("Preis: " + p.getPreis() + "\n");
                liste.next();
            }
        }
        System.out.println("\n\n");
    }
}